<template>
  <div class="relative game__banner">
    <img
      :src="bannerImage.ImagePath"
      class="w-[750px] h-[590px] relative z-10"
      loading="lazy"
    />
    <img
      :src="
        getAssetImage(
          'assets/theme/light_flexible_1/desktop/images/home_game_background.png'
        )
      "
      class="w-[700px] h-[460px] absolute top-10 right-0"
      loading="lazy"
    />
    <lazy-theme-desktop-china-components-slide-fade-transition
      appear
      :duration="300"
    >
      <div class="flex flex-col gap-4 w-[460px] absolute right-0 top-[92px]">
        <img
          :src="bannerLogo.ImagePath"
          class="w-[415px] h-[116px]"
          loading="lazy"
        />
        <p class="w-[415px] min-h-[72px] text-[16px] font-medium">
          {{ content.Text }}
        </p>
        <div class="relative z-20 w-full">
          <section class="w-[415px]">
            <swiper
              :slides-per-view="6"
              :modules="modules"
              :navigation="sports.length > 6"
              class="swiper-wrapper sport-swiper"
            >
              <template v-for="sport in sports" :key="sport.GameId">
                <swiper-slide
                  v-if="sport.DisplayName !== 'sabaentrancenotusing'"
                  class="flex flex-col items-start w-4/12 swiper-slide"
                >
                  <div class="cursor-pointer game_tab group">
                    <nuxt-link
                      :to="
                        !auth ? '/login' : `/game/${sport.GameId}?tab=sports`
                      "
                    >
                      <img
                        class="w-[32px] h-[32px] block group-hover:hidden"
                        :src="sport.IconForDisplay"
                        alt="logo"
                        loading="lazy"
                      />
                      <img
                        class="w-[32px] h-[32px] hidden group-hover:block"
                        :src="sport.ActiveIconForDisplay"
                        alt="logo"
                        loading="lazy"
                      />
                    </nuxt-link>
                  </div>
                  <div
                    class="text-center py-3 h-fit text-[14px] font-medium w-[58px] break-words"
                  >
                    <span>{{ sport.GameNameForDisplay }}</span>
                  </div>
                </swiper-slide>
              </template>
            </swiper>
          </section>
        </div>
      </div>
    </lazy-theme-desktop-china-components-slide-fade-transition>
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import { Navigation } from "swiper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { GameBsi } from "@/models/bsiGameList";
import { store } from "@/store";
import { gameStore } from "~~/store/game";
import _ from "lodash-es";

export default defineComponent({
  setup() {
    const auth = computed(() => store.state.auth);
    const orderByGameIDDesktop = [61, 1 , 59];
    const originalSport = computed(() =>
      gameStore.state.games
        .filter(
          (game) => game.Category === 1 && game.ForDesktop && game.IsEnabled
        )
        .map((game) => new GameBsi(game))
    );
    const sports = _.sortBy(originalSport.value, (game) => {
      const index = orderByGameIDDesktop.indexOf(game.GameId);
      return index === -1 ? Infinity : index;
    });
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const bannerImage = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "index_blog_2"
        )
    );
    const bannerLogo = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "index_blog_2_1"
        )
    );
    const content = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "index_blog_content_2_1"
        )
    );
    const { getAssetImage } = commonHelper;
    return {
      auth,
      sports,
      content,
      bannerImage,
      bannerLogo,
      getAssetImage,
      modules: [Navigation],
    };
  },
});
</script>

<style scoped>
:deep(.sport-swiper.swiper-wrapper) {
  padding-left: 11px;
  padding-right: 1px;
  transform: translate(-13px);
}
:deep(.sport-swiper .swiper-button-prev) {
  translate: -10px -45px;
}
:deep(.sport-swiper .swiper-button-next) {
  translate: 10px -47px;
}
</style>
